Skip to main content
GET
/
reg-types
Get All Types
curl --request GET \
  --url https://api.swoogo.com/api/v1/reg-types \
  --header 'Authorization: Bearer <token>'
{
  "_links": {
    "self": {
      "href": "reg-types.json?event_id=1&fields=id%2Cname%2Ccreated_at&page=1"
    }
  },
  "_meta": {
    "currentPage": 1,
    "pageCount": 1,
    "perPage": 20,
    "totalCount": 2
  },
  "items": [
    {
      "id": 1,
      "name": "Attendee"
    },
    {
      "id": 2,
      "name": "Exhibitor"
    }
  ]
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Query Parameters

event_id
integer
required

integer - required - The ID of the event you want to retrieve reg types for

Example:

1

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,name,public_short_name,admin_short_name,description,capacity,sold_out_message,min_group_size,max_group_size,created_at,updated_at"

string - optional - Filter conditions to narrow the results. Valid operators are =, !=, >=, <=, >, <, contains, beginswith, endswith

Example:

"id>123"

page
string

integer - optional - The page of results you want to view

Example:

"1"

per-page
string

integer - optional - The number of results per page (to a max of 200)

Example:

"5"

sort
string

string - optional - Sort the results (add - in front for opposite sort direction, e.g. "-id")

ids
string

Comma-separated list of IDs to retrieve. When provided, only records matching these IDs are returned. All values must be positive integers. Maximum 100 IDs per request.

Response

200 - application/json

Get Registrant Types

_meta
object
items
object[]
Example:
[
{ "id": 1, "name": "Attendee" },
{ "id": 2, "name": "Exhibitor" }
]